<?php

namespace Testprovider\Testpackage;

use User;

class Testpackage
{
    /**
     * $trainingmodel object.
     */
    protected $trainingmodel;

    /**
     * Constructor.
     */
    public function __construct(\Testprovider\Testpackage\Interfaces\TrainingmodelRepositoryInterface $trainingmodel)
    {
        $this->trainingmodel = $trainingmodel;
    }

    /**
     * Returns count of testpackage.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.trainingmodel.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->trainingmodel->pushCriteria(new \Litepie\Testprovider\Repositories\Criteria\TrainingmodelUserCriteria());
        }

        $trainingmodel = $this->trainingmodel->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('testpackage::' . $view, compact('trainingmodel'))->render();
    }
}
