<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateTrainingmodelsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: trainingmodels
         */
        Schema::create('trainingmodels', function ($table) {
            $table->increments('id');
            $table->integer('pts_id')->nullable();
            $table->string('pts_ref', 100)->nullable();
            $table->string('pts_title', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('trainingmodels');
    }
}
