<?php

namespace Testprovider;

use DB;
use Illuminate\Database\Seeder;

class TestpackageTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('trainingmodels')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'testpackage.trainingmodel.view',
                'name'      => 'View Trainingmodel',
            ],
            [
                'slug'      => 'testpackage.trainingmodel.create',
                'name'      => 'Create Trainingmodel',
            ],
            [
                'slug'      => 'testpackage.trainingmodel.edit',
                'name'      => 'Update Trainingmodel',
            ],
            [
                'slug'      => 'testpackage.trainingmodel.delete',
                'name'      => 'Delete Trainingmodel',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'testpackage.trainingmodel.verify',
                'name'      => 'Verify Trainingmodel',
            ],
            [
                'slug'      => 'testpackage.trainingmodel.approve',
                'name'      => 'Approve Trainingmodel',
            ],
            [
                'slug'      => 'testpackage.trainingmodel.publish',
                'name'      => 'Publish Trainingmodel',
            ],
            [
                'slug'      => 'testpackage.trainingmodel.unpublish',
                'name'      => 'Unpublish Trainingmodel',
            ],
            [
                'slug'      => 'testpackage.trainingmodel.cancel',
                'name'      => 'Cancel Trainingmodel',
            ],
            [
                'slug'      => 'testpackage.trainingmodel.archive',
                'name'      => 'Archive Trainingmodel',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/testpackage/trainingmodel',
                'name'        => 'Trainingmodel',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/testpackage/trainingmodel',
                'name'        => 'Trainingmodel',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'trainingmodel',
                'name'        => 'Trainingmodel',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Testpackage',
                'module'    => 'Trainingmodel',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'testpackage.trainingmodel.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
